package com.pcloud.book.skill.dao;

import com.pcloud.book.applet.dto.AppletGroupManageDTO;
import com.pcloud.book.rightsSetting.entity.BaseTempletClassify;
import com.pcloud.book.skill.dto.GroupActivity4AppletDTO;
import com.pcloud.book.skill.entity.PcloudGroupActivity;
import com.pcloud.book.skill.facade.response.QueryGroupActivityResponseVO;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;
import java.util.Map;

public interface PcloudGroupActivityDao extends BaseDao<PcloudGroupActivity> {
    Map<Long, PcloudGroupActivity> mayByIds(List<Long> ids);

    void updateByPrimaryKeySelective(PcloudGroupActivity entity);

    GroupActivity4AppletDTO getGroupActivity4Applet(Long firstClassify,Long secondClassify,Long gradeLabelId,Long subjectLabelId);

    List<GroupActivity4AppletDTO> getTishBookSchoolList(BaseTempletClassify baseTempletClassify, Integer limit);

    Map<Long, GroupActivity4AppletDTO> getByIds(List<Long> ids);
}